Payment dashboard
GEThttps://core-prod.malipopay.co.tz/api/v1/payment/dashboard
Returns aggregated payment statistics and metrics for the authenticated project.
Request
Responses
- 200
- 401
- 500
Dashboard data retrieved successfully
- application/json
- Schema
- Example (auto)
Schema
successbooleanrequired
Example:
truecodeintegerrequired
MALIPOPAY-specific status code (see error codes reference)
Example:
800messagestringrequired
Example:
Operation completed successfullydata object
{
"success": true,
"code": 800,
"message": "Operation completed successfully",
"data": {}
}
Unauthorized
- application/json
- Schema
- Example (auto)
Schema
codeint32required
messagestringrequired
{
"code": 0,
"message": "string"
}
Internal server error
- application/json
- Schema
- Example (auto)
Schema
codeint32required
messagestringrequired
{
"code": 0,
"message": "string"
}
Authorization: apiToken
name: apiTokentype: apiKeyin: headerdescription: Project API key. Get yours from the Malipopay dashboard under Settings → API Keys.
- curl
- python
- nodejs
- php
- java
- go
- CURL
curl -L 'https://core-prod.malipopay.co.tz/api/v1/payment/dashboard' \
-H 'Accept: application/json' \
-H 'apiToken: <apiToken>'
Response